Imports CharterDotCom.CommonEntities.Library.Enumerations

Public Interface IArticleAbstract
  ReadOnly Property ID() As String
  ReadOnly Property Title() As String
  ReadOnly Property Summary() As String
  ReadOnly Property RelatedArticles() As Dictionary(Of String, IArticleIndex)
End Interface

Public Interface IArticleIndex
  ReadOnly Property ID() As String
  ReadOnly Property Title() As String
  ReadOnly Property Category() As ArticleCategory
  ReadOnly Property Type() As ArticleType
End Interface

Public Interface IArticleFolder

  ReadOnly Property ID() As String
  ReadOnly Property Title() As String
  ReadOnly Property Category() As ArticleCategory
  ReadOnly Property SubFolders() As List(Of IArticleSubFolder)

  Public Interface IArticleSubFolder
    ReadOnly Property ID() As String
    ReadOnly Property Title() As String
    ReadOnly Property SubFolders() As List(Of IArticleSubFolder)
  End Interface

End Interface

Public Interface IBrowserSupportArticle
  ReadOnly Property ParentFolders() As List(Of IArticleFolder)
  ReadOnly Property SubFolders() As List(Of IArticleFolder)
  ReadOnly Property Indexes() As List(Of IArticleIndex)
End Interface



